Bug 1238170 - JDG660.Clustered+RemoteListeners.Expiry
Summary: JDG660.Clustered+RemoteListeners.Expiry
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR2
: 6.6.0
Assignee: William Burns
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-01 10:38 UTC by Pedro Zapata
Modified: 2016-01-05 12:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Feature Request


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat One Jira Issue Tracker ISPN-5679 Major Resolved Add clustered expiration support 2017-05-19 16:32:21 UTC
Red Hat One Jira Issue Tracker ISPN-5700 Major Resolved Create client expiration event 2017-05-19 16:32:21 UTC
Red Hat One Jira Issue Tracker ISPN-694 Major Resolved Create expiration notification for in-memory cache entries 2017-05-19 16:32:21 UTC

Description Pedro Zapata 2015-07-01 10:38:44 UTC
As an application developer, I want my client application to be notified when an entry is expired in a particular cache. The want the event to be cluster-wide, so that I can (a) access this event regardless of which node my app resides on or connects with and (b) my app receives a single notification per event. I want my application to execute some business logic or computation triggered by such an event.
 
- Support required in both Library mode and Java Hot Rod client

Comment 1 JBoss JIRA Server 2015-07-23 16:02:54 UTC
William Burns <wburns@redhat.com> updated the status of jira ISPN-694 to Coding In Progress

Comment 2 William Burns 2015-08-28 12:40:01 UTC
PR: https://github.com/infinispan/jdg/pull/730

Comment 3 Martin Gencur 2016-01-05 12:32:27 UTC
This feature is included in JDG 6.6. Functional issues were filed in separate BZs.


Note You need to log in before you can comment on or make changes to this bug.